/, Nieuws/WordPress 5.0: updaten of wachten?

Sinds gisteren (6 december) is de nieuwe WordPress versie 5.0 beschikbaar. Het belangrijkste aan deze update is de nieuwe editor Gutenberg.
Gutenberg was al een tijdje te downloaden als plugin, maar is vanaf nu de standaard editor in WordPress.
Gutenberg is een editor waarmee je content kunt verdelen in blokken.
Het is het best vergelijkbaar met de Fusion Builder van Avada of Visual Composer.
De update heeft wat haken en ogen. De vraag is dus: na al updaten, of toch even wachten?

Voordelen van Gutenberg

  • Voordelen van deze editor zijn er vooral mensen die gebruik maken van een website zónder zo’n pagebuilder. In tegenstelling tot de klassieke editor kan de gebruiker blokken aanmaken met een eigenschap. Denk hierbij o.a. aan een tekstblok, een blok met afbeelding, een html-blok, quotes, galerijen, knoppen en meer.
  • Ontwikkelaars kunnen d.m.v. een plugin of template ook een eigen blok toevoegen.
  • Gutenberg is vooral voor gebruikers die van platforms als Wix afkomen een logische manier van een website bouwen.

Nadelen van Gutenberg

  • Bij een template als Avada met een eigen pagebuilder voelt Gutenberg behoorlijk overbodig. Aan de andere kant kwam de klassieke editor ook al niet meer in beeld.
  • Ondanks dat het indelen met blokken op het eerste gezicht eenvoudig klinkt, kan het in werkelijkheid lastig zijn.
  • Een blogbericht maken zal met Gutenberg iets langer duren.
  • Je kunt geen shortcodes of afbeeldingen meer toe kunnen voegen aan een alinea.
  • Vergeleken met pagebuilders als Fusion Builder en Visual Composer heeft Gutenberg nog wel een weg te gaan qua functies. Maar dit zal, mede doordat Gutenberg de standaard wordt, uiteindelijk wel rechtgetrokken worden.

Waar rekening mee houden?

  • De plugins en template die op de website worden moeten geschikt zijn voor WordPress 5.0 / Gutenberg. Vooral plugins die functies van de klassieke editor gebruiken moeten getest worden op. Vooral bij slecht onderhouden of abandoned plugins en template kan hier een behoorlijk probleem ontstaan. Controleer goed of de maker de plugin of template heeft getest met WordPress 5.0, of vraag dit te doen.
  • Let na het updaten op cache. Het kan lijken alsof een plugin het prima doet op WordPress 5.0, maar na het flushen van de cache kan dit er heel anders voor staan.
  • Gebruik je nu een andere editor? Hoe er dan rekening mee dat de code van deze editors en Gutenberg niet uitwisselbaar zijn.

Voorzorgsmaatregelen / oplossingen

  • Maak gebruik van de plugin Classic Editor om de classic editor als standaard te behouden. Je kunt op gebruikersniveau de keuze geven welke editor default is, maar je kunt deze keuze ook niet geven. Dit kan erg handig zijn bij websites met minder goed bijgehouden plugins en templates.
  • Zoals bij elke grote update: maak voorafgaand een backup van de website, zowel files als database.

Wel of niet updaten?
Of updaten een goed idee is op dit moment hangt erg af van de gebruikte plugin en template. De bekende, goed onderhouden plugins (o.a. Yoast, The Event Calendar) en template (ThemeFusion’s Avada, veel bekende gratis templates als Twenty Nineteen e.a.) geven aan dat ze geschikt zijn voor WordPress 5.0. Maar dit is meestal maar een deel van de gebruikte plugins op een website.
Aangezien er geen belangrijke andere functies bij deze update vastzitten, adviseren wij om te wachten tot januari met updaten.

Heb je vragen naar aanleiding van dit stuk of wil je het updaten liever uit handen geven? Neem contact op via info@milcraft.nl of 0172-897789

Wat vindt u van dit artikel?
[Aantal stemmen: 0]
2018-12-07T17:11:18+00:007 december 2018|

Milcraft en derden, die zich (deels) buiten de EU bevinden, maken gebruik van cookies, om onze website te verbeteren, om gepersonaliseerde advertenties te tonen op onze websites, om een koppeling te kunnen maken met social media, en om het verkeer op de website te analyseren. Door op akkoord te klikken, geeft u toestemming voor het plaatsen van alle cookies zoals omschreven in onze privacy verklaring. Ga voor meer informatie naar op de pagina Privacy Verklaring.